package com.heyu.api.data.dao.vv;
/**
* <p>
* 结算证明 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/
import com.heyu.api.data.entity.vv.VvSettlementProveDetailEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface VvSettlementProveDetailDao extends BaseMapper<VvSettlementProveDetailEntity> {


	VvSettlementProveDetailEntity selectVvSettlementProveDetailById(@Param("id")Long id);


	Long insertVvSettlementProveDetail(VvSettlementProveDetailEntity vvSettlementProveDetail);


	Long insertOrUpdateVvSettlementProveDetail(VvSettlementProveDetailEntity vvSettlementProveDetail);


	int updateVvSettlementProveDetailById(VvSettlementProveDetailEntity vvSettlementProveDetail);


	int updateCoverVvSettlementProveDetailById(VvSettlementProveDetailEntity vvSettlementProveDetail);


	int deleteVvSettlementProveDetailById(@Param("id")Long id);


}